package com.hungraim.ltc.governance.controller;

import com.hungraim.ltc.governance.service.SrvTaskService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.EnableAsync;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

/**
 * @author zwl
 * @ClassName SrvTaskScheduledController
 * @description
 * @date 2023/3/9 21:08
 **/
@Component
@EnableAsync
@Slf4j
public class SrvTaskScheduledController {

    @Autowired
    private SrvTaskService srvTaskService;

    @Scheduled(cron = "0 50 20 * * ?")
    public void timeAllocationSrvTask() {
        log.info("timeAllocationSrvTask========start");
        srvTaskService.timeAllocationSrvTask();
        log.info("timeAllocationSrvTask========end:{}");
    }


    @Scheduled(cron = "*/5 * * * * ?")
    public void test111() {
       log.info("test111===============================================");
    }
}
